## Class TWizardFinishNavigationTemplate

Description

TWizardFinishNavigationTemplate class.

TWizardFinishNavigationTemplate is the template used as default wizard finish navigation panel. It consists of three buttons, Previous, Complete and Cancel.

- since: 3.0
- version: $Id: TWizard.php 2427 2008-04-17 17:18:25Z tof $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TWizard.php (line 2048)

    TComponent
       |
       --TWizardNavigationTemplate
          |
          --TWizardFinishNavigationTemplate

Method Summary
void instantiateIn (TControl $parent)
Methods
instantiateIn (line 2054)

Instantiates the template.

- access: public

void instantiateIn (TControl $parent)

- TControl $parent: parent to hold the content within the template

Redefinition of:

TWizardNavigationTemplate::instantiateIn()
  Instantiates the template.

#### Inherited Methods

Inherited From TWizardNavigationTemplate

> TWizardNavigationTemplate::__construct()
> TWizardNavigationTemplate::createNavigationButton()
> TWizardNavigationTemplate::getWizard()
> TWizardNavigationTemplate::instantiateIn()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:47 -0400 by phpDocumentor 1.3.0RC4